// Utilisation des flots d'entree-sortie C++
#include <iostream.h>
// Utilisation de la classe LocalMap<T>
#include "outilsinit.h"
#include "spheregorski.h"
#include "ntuple.h"

// Utilisation des generateurs aleatoires
#include "nbrandom.h"
#include "fitsioserver.h" 
int main()
{

  // ----- ATTENTION -------
  // Initialisation de Peida
  // A faire au debut de main()
  PeidaInit();

  int m=4;
  SphereGorski<float> sph(m);
  cout << " nombre de pixels: " << sph.NbPixels() << endl;
  FitsIoServer fserv;
  fserv.load(sph, "map_essai.fits",2);
  //sph.print(cout);
   fserv.Mollweide_picture_projection(sph, "dessin.fits");
}
